ChangeSet 1.1807.54.6, 2004/08/02 16:10:33-07:00, amalysh@web.de

[PATCH] I2C: new device for sis630

this patch adds SiS 1039:0018 to PCI device list of sis630.c. This is needed,
due to changes in pci quirks that cause sis630/sis730 LPC to change id from
008 -> 0018. This patch doesn't have any side effects, because i2c-sis630
checks for supported devices.


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/i2c/busses/i2c-sis630.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/i2c/busses/i2c-sis630.c b/drivers/i2c/busses/i2c-sis630.c
--- a/drivers/i2c/busses/i2c-sis630.c	2004-08-23 11:07:14 -07:00
+++ b/drivers/i2c/busses/i2c-sis630.c	2004-08-23 11:07:14 -07:00
@@ -464,6 +464,7 @@
 
 static struct pci_device_id sis630_ids[] __devinitdata = {
 	{ PCI_DEVICE(PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_503) },
+	{ PCI_DEVICE(PCI_VENDOR_ID_SI, PCI_DEVICE_ID_SI_LPC) },
 	{ 0, }
 };
 
